Your message dated Sun, 04 Feb 2018 16:19:51 +0000
with message-id <e1ein1d-000gtc...@fasolo.debian.org>
and subject line Bug#870534: fixed in dime 0.20111205-2.1
has caused the Debian Bug report #870534,
regarding dime: hardcoded Pre-Depends on multiarch-support
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
870534: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870534
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: dime
Version: 0.20111205-2
Tags: sid buster patch
User: debian-gl...@lists.debian.org
Usertags: multiarch-support-removal

Dear Maintainer,

The multiarch-support package has been introduced with squeeze so that
packages using the multiarch libraries can Pre-Depends on it to make
sure the multiarch path ares supported by the dynamic linker. As
dist-upgrades from such a distant release are not supported, the
Pre-Depends can now be dropped and then the package removed from the
archive.

Most of the packages added this Pre-Depends through debhelper and the
misc:Pre-Depends substvar, so a change in debhelper [1] was enough to
get rid of it. However it appears that your package uses a hardcoded
Pre-Depends, thus it needs to be removed manually. You will find a
patch attached to do so.

Please apply it as soon as possible as the multiarch-support package
will be removed from the archive for buster. Failing to do so will 
therefore make your package uninstallable. In case you don't have
time to do so, don't hesitate to ask for a NMU.

Thanks,
Aurelien

[1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=783898
diff -Nru dime-0.20111205/debian/control dime-0.20111205/debian/control
--- dime-0.20111205/debian/control	2014-11-20 03:18:09.000000000 +0000
+++ dime-0.20111205/debian/control	2017-08-02 19:30:14.000000000 +0000
@@ -21,7 +21,7 @@
 Package: libdime1
 Architecture: any
 Section: libs
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: DXF Import, Manipulation, and Export library
  Dime is a C++ class library for reading, constructing, manipulating,

--- End Message ---
--- Begin Message ---
Source: dime
Source-Version: 0.20111205-2.1

We believe that the bug you reported is fixed in the latest version of
dime, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 870...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aure...@debian.org> (supplier of updated dime package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 20 Jan 2018 14:16:37 +0100
Source: dime
Binary: dime libdime1 libdime-dev libdime-doc
Architecture: source
Version: 0.20111205-2.1
Distribution: unstable
Urgency: medium
Maintainer: A. Maitland Bottoms <bott...@debian.org>
Changed-By: Aurelien Jarno <aure...@debian.org>
Description:
 dime       - DXF Import, Manipulation, and Export programs
 libdime-dev - DXF Import, Manipulation, and Export library - devel
 libdime-doc - DXF Import, Manipulation, and Export library - devel
 libdime1   - DXF Import, Manipulation, and Export library
Closes: 870534
Changes:
 dime (0.20111205-2.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * debian/control: Drop explicit Pre-Depends on multiarch-support (Closes:
     #870534).
Checksums-Sha1:
 30a79626d1e902e276e50eb93e01eb736916e6ef 1943 dime_0.20111205-2.1.dsc
 a31dbff6977baeabc414f5ad289bb1fd0900a83f 42824 
dime_0.20111205-2.1.debian.tar.xz
 d01b02d48b0884a7d4f9c9b5a5239d67e0ea55a2 5320 
dime_0.20111205-2.1_source.buildinfo
Checksums-Sha256:
 7e718858fdc3bf5cf5f0eddabba34a372ef6597b74a3501b42037d3ac5223721 1943 
dime_0.20111205-2.1.dsc
 cf4302af72c9f344588968c830109506eda19289991cd0f36da99f9bb7e2aa13 42824 
dime_0.20111205-2.1.debian.tar.xz
 ecdbb4ea6730265e97429a9d1df64e65c2aeabd1bf0eb4b68bb28b6fb3b685d5 5320 
dime_0.20111205-2.1_source.buildinfo
Files:
 0cd48cec59000ca676f8e8f5ca91d9f6 1943 graphics optional dime_0.20111205-2.1.dsc
 36370c69c2fcd6c78fee41ec3fab64af 42824 graphics optional 
dime_0.20111205-2.1.debian.tar.xz
 934aa8afe5eeed1f71e82b58ce17a4d3 5320 graphics optional 
dime_0.20111205-2.1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUryGlb40+QrX1Ay4E4jA+JnoM2sFAlpjQXIACgkQE4jA+Jno
M2vFxRAAhQll1vs34q1y/HKlW8X/5z9PVxpy7AJoRblpT3DuLa0tchNlSf+q/UiG
caf07CoabR4EtsWxR1spAZZJQsgC1IOk+FDCi+ZXa1pWivVNgItAnIbu3z+Vk2/6
2QC1Ez7SyqBjNxTmO1hfcYB4BL98yvOWNGumcT+m+5zjN9gt9UEQNmlYBUkTnuin
i5bkkeeKHzryCGq/VJruWaozEzFpgW61CU2cQuxkL4YP+V9ypq8SBlEmWWCaZI48
vlYLf1LtLnqsNJDUgjq1vJ554bG0T+69BcD7jLssSLIZM+1HhcJhVYvWy4nad23u
yDqP5Yqazt57s/6hgMQeMaLkKa6GTBwNfWcBgDwVKWSeIlxWO5oNbaTzBYUq/ijA
4fmNlkA2hzK5RSKLhW7XGsRhfP/q/TcoeErieZ8Og22TRKiovilBij28Q4KOCPC6
Wdwk+2pcGC6X++g6UvWbUdv1isRSJkIh5kZd8x6FMoo3HH9QEEaM+zYbStxbqb9g
Fs15zqp0mIS34fcnJ9wMLaLeLfbpurOkXX1+NyVdFHxdVkOXEuZ9xfLq3LeB7fuo
V+fkv8Hn/O3QyMOrYM1t0Tlbxe8v6dwonedvxXzF71oclm3MKkbcfCY+pvPwFJ0e
Ip0kiFu/EGlwVnfSxU17Tmev6oC7sbia1Q7epn+xeAYWBxEc+ME=
=GeyC
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to